/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2006/12/18
 *
 */
package com.kickmogu.rhythm.board;

import java.util.*;

public class Board {
	public static final String insert_NO_PERSISTENT_PROPS = "registrantName";
	
	public final static String PERM_ALL = "BOARD_ALL";
	public final static String PERM_VIEW = "BOARD_VIEW";
	public final static String PERM_WRITE = "BOARD_WRITE";
	public final static String PERM_MANAGE = "BOARD_MANAGE";
	
	public final static String UNIQ_KEYNAME = "rhtym board id";

	private int id;
    private int registrant;
	private Date registDate;
	private int seq;
	private int depth;
	private int rootId;
	private int rootSeq;
	private String subject;
	private String body;
	// 発言しているカテゴリのID
	private int boardTreeId;
	private String registrantName;
	
	/**
	 * @return body を戻します。
	 */
	public String getBody() {
		return body;
	}
	/**
	 * @param body body を設定。
	 */
	public void setBody(String body) {
		this.body = body;
	}
	/**
	 * @return depth を戻します。
	 */
	public int getDepth() {
		return depth;
	}
	/**
	 * @param depth depth を設定。
	 */
	public void setDepth(int depth) {
		this.depth = depth;
	}
	/**
	 * @return registDate を戻します。
	 */
	public Date getRegistDate() {
		return registDate;
	}
	/**
	 * @param registDate registDate を設定。
	 */
	public void setRegistDate(Date registDate) {
		this.registDate = registDate;
	}
	/**
	 * @return registrant を戻します。
	 */
	public int getRegistrant() {
		return registrant;
	}
	/**
	 * @param registrant registrant を設定。
	 */
	public void setRegistrant(int registrant) {
		this.registrant = registrant;
	}
	/**
	 * @return rootId を戻します。
	 */
	public int getRootId() {
		return rootId;
	}
	/**
	 * @param rootId rootId を設定。
	 */
	public void setRootId(int rootId) {
		this.rootId = rootId;
	}
	/**
	 * @return rootSeq を戻します。
	 */
	public int getRootSeq() {
		return rootSeq;
	}
	/**
	 * @param rootSeq rootSeq を設定。
	 */
	public void setRootSeq(int rootSeq) {
		this.rootSeq = rootSeq;
	}
	/**
	 * @return seq を戻します。
	 */
	public int getSeq() {
		return seq;
	}
	/**
	 * @param seq seq を設定。
	 */
	public void setSeq(int seq) {
		this.seq = seq;
	}
	/**
	 * @return subject を戻します。
	 */
	public String getSubject() {
		return subject;
	}
	/**
	 * @param subject subject を設定。
	 */
	public void setSubject(String subject) {
		this.subject = subject;
	}
	/**
	 * @return id を戻します。
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id id を設定。
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return boardTreeId を戻します。
	 */
	public int getBoardTreeId() {
		return boardTreeId;
	}
	/**
	 * @param boardTreeId boardTreeId を設定。
	 */
	public void setBoardTreeId(int boardTreeId) {
		this.boardTreeId = boardTreeId;
	}
	/**
	 * @return registrantName を戻します。
	 */
	public String getRegistrantName() {
		return registrantName;
	}
	/**
	 * @param registrantName registrantName を設定。
	 */
	public void setRegistrantName(String registrantName) {
		this.registrantName = registrantName;
	}
}
